Page MenuHomePhabricator

Change "Make primary" to "Mark as prominent"
Closed, ResolvedPublic

Description

User story: N/A

We have this:

The text for denoting a particular depicts statement as representing an important aspect of the media file currently says "Make primary". Once clicked, the text changes to "Primary"

We want this:

Change the text to "Mark as prominent". When clicked, it should say "Prominent"

Screenshots (if possible):

Acceptance Criteria:

  • "Make primary" is replaced with "Mark as prominent"
  • In the selected status, "Primary" replaced with "Prominent"

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2019, 11:34 PM
Ramsey-WMF renamed this task from [Insert issue here] to Change "Make primary" to "Mark as prominent".Mar 25 2019, 11:37 PM
Ramsey-WMF triaged this task as High priority.
Ramsey-WMF updated the task description. (Show Details)
Ramsey-WMF changed the subtype of this task from "Bug Report" to "Task".
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.
Ramsey-WMF added a subscriber: PDrouin-WMF.
Ramsey-WMF added subscribers: Cparle, matthiasmullie.

Pinging @Cparle or @matthiasmullie to do this one quickly before we start opening up beta testing to a larger group. Thanks!

Change 499020 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/WikibaseMediaInfo@master] i18n: Change "Make primary" to "Mark as prominent"

https://gerrit.wikimedia.org/r/499020

Ha78na moved this task from To Do to Code Review on the Multimedia-Current-Work board.

@Jdforrester-WMF just a little note to retain the check mark when a statement is deemed "Prominent"

Ramsey-WMF moved this task from To Do to Doing on the SDC Engineering board.Mar 26 2019, 6:16 PM

Change 499020 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] i18n: Change "Make primary" to "Mark as prominent"

https://gerrit.wikimedia.org/r/499020

Done, on Beta Cluster. Will roll out next week.

ok on test-commons

Ramsey-WMF closed this task as Resolved.Apr 23 2019, 11:41 PM

Totally works on production.